"""
Django development settings for GestionÉvénementiel
The settings that are not listed here are imported from .common
"""

import os
from .dev import *  # NOQA


# SQLite
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    }
}

CHANNEL_LAYERS = {
    "default": {
        "BACKEND": "asgiref.inmemory.ChannelLayer",
        "ROUTING": "evenementiel.routing.channel_routing",
    },
}
