from django.db import models
from django.contrib.auth.models import AbstractUser, UserManager
from django.utils.translation import ugettext_lazy as _


class User(AbstractUser):
    phone = models.CharField(
        _('numéro de téléphone'),
        max_length=20,
        blank=True,
    )

    objects = UserManager()

    class Meta:
        verbose_name = _("utilisateur")
        verbose_name_plural = _("utilisateurs")
